<!doctype html>
<html lang="en">

<head>
    <%- include('../partials/head-dashboard.ejs', {title: title}); %>
</head>

<body>
    <%- include('../partials/header.ejs'); %>

        <div class="container-fluid">
            <div class="row">
                <%- include('../partials/sidebar.ejs', {title: title}); %>

                    <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
                        <%- include('../partials/main-title.ejs', {title: title}); %>

                            <form action="/dashboard/biodata/create/<%= userGame.id %>" method="post">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" name="firstName"
                                        placeholder="firstName" value="<% if (userGame.UserGameBiodatum) { %>
  <%= userGame.UserGameBiodatum.firstName %>
<% } %>" required>
                                    <label for="floatingInput">First Name</label>
                                </div>
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" name="lastName"
                                        placeholder="lastName" value="<% if (userGame.UserGameBiodatum) { %>
  <%= userGame.UserGameBiodatum.lastName %>
<% } %>"">
                                    <label for=" floatingInput">Last Name</label>
                                </div>

                                <button class="btn btn-primary mb-3" type="submit">Save</button>
                                <button class="btn btn-danger mb-3" type="reset">Reset</button>
                            </form>
                            <h2 class="border-top">
                                Games
                            </h2>
                            <div class="table-responsive">
                                <table class="table table-striped table-sm">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">ID</th>
                                            <th scope="col">User's Choice</th>
                                            <th scope="col">Computer's Choice</th>
                                            <th scope="col">Result</th>
                                            <th scope="col">Created At</th>
                                            <th scope="col">Updated At</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% let i=0;%>
                                            <% userGame.UserGameHistories.forEach(userGameHistory=> {%>
                                                <tr>
                                                    <td>
                                                        <%= ++i %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.id %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.userChoice %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.computerChoice %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.result %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.createdAt %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.updatedAt %>
                                                    </td>
                                                </tr>
                                                <% });%>

                                    </tbody>
                                </table>
                            </div>
            </div>
            </main>
        </div>
        </div>

        <%- include('../partials/bootstrap-js.ejs'); %>
            <%- include('../partials/dashboard-js.ejs'); %>
</body>

</html>